
Foreman - Bug #2589

cannot login to provisioned host

05/30/2013 07:49 AM - Joseph Magen

Status: Duplicate   

Priority: High   

Assignee: Joseph Magen   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This may or may not be related to issue #2484 which has an open PR https://github.com/theforeman/foreman/pull/620

It seems that the encrypted string is encrypted again.

Updated, reset host pass to "redhat", in the database I see

$1$garyBwDK$G0nHxULu6/S0I/HwQVvjj1

then edited the host without touching the root pass and in the database I see different hash:

$1$SEHMugyD$mRciwoMy.i9mO08KS26c91

Provisioned the host, cannot login. :-(

Related issues:

Has duplicate Foreman - Bug #2607: Prevent web browsers from providing a stor... Closed 06/04/2013

History

#1 - 06/04/2013 03:43 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#2 - 06/04/2013 06:35 AM - Joseph Magen

- Status changed from Assigned to Closed

duplicated in #2607 and PR https://github.com/theforeman/foreman/pull/685

#3 - 06/04/2013 06:40 AM - Ohad Levy

- Status changed from Closed to Duplicate
